Script
get
Authorizations
Path parameters
scriptIdstringRequired
Responses
200
Successful
application/json
scriptIdstringRequired
namestringRequired
providerIdstringRequired
createdAtstring · dateRequired
consentCategorystringOptional
geoRegionsstringOptional
purchaseValueModestring · enumRequiredPossible values:
409
Script/Tag does not exist
application/json
500
Internal Server Error
application/json
get/script/{scriptId}
GET /v1/script/{scriptId} HTTP/1.1
Host: api.edgetag.io
Accept: */*
{
"scriptId": "text",
"name": "text",
"providerId": "text",
"createdAt": "2026-01-01",
"consentCategory": "text",
"geoRegions": "text",
"purchaseValueMode": "gross",
"secrets": {
"string": {
"secretId": "text",
"value": "text",
"type": "text",
"isSet": true,
"optional": true
}
}
}put
Authorizations
Path parameters
scriptIdstringRequired
Body
namestringRequired
providerIdstring · enumRequiredPossible values:
tagIdstringRequired
shouldDeploybooleanOptional
Deprecated
consentCategorystringOptional
geoRegionsstringOptionalDefault:
nullpurchaseValueModestring · enumOptionalPossible values:
Responses
200
Successful
application/json
scriptIdstringRequired
400
Bad Request
application/json
409
Script/Tag does not exist
application/json
500
Internal Server Error
application/json
put/script/{scriptId}
PUT /v1/script/{scriptId} HTTP/1.1
Host: api.edgetag.io
Content-Type: application/json
Accept: */*
Content-Length: 262
{
"name": "text",
"providerId": "facebook",
"tagId": "text",
"shouldDeploy": true,
"consentCategory": "text",
"geoRegions": "text",
"purchaseValueMode": "gross",
"secrets": [
{
"variable": "text",
"type": "text",
"optional": true,
"data": "text",
"iv": "text",
"key": "text",
"salt": "text"
}
]
}{
"scriptId": "text"
}delete
Authorizations
Path parameters
scriptIdstringRequired
Responses
200
Successful
application/json
errorsstring[]Optional
406
Script does not exist
application/json
500
Internal Server Error
application/json
delete/script/{scriptId}
DELETE /v1/script/{scriptId} HTTP/1.1
Host: api.edgetag.io
Accept: */*
{
"errors": [
"text"
]
}post
Authorizations
Body
namestringRequired
providerIdstring · enumRequiredPossible values:
tagIdstringRequired
shouldDeploybooleanOptional
consentCategorystringOptional
geoRegionsstringOptionalDefault:
nullpurchaseValueModestring · enumOptionalDefault:
nullPossible values: Responses
200
Successful
application/json
scriptIdstringRequired
400
Bad Request
application/json
403
Forbidden
application/json
409
Conflict
application/json
500
Internal Server Error
application/json
post/script
POST /v1/script HTTP/1.1
Host: api.edgetag.io
Content-Type: application/json
Accept: */*
Content-Length: 262
{
"name": "text",
"providerId": "facebook",
"tagId": "text",
"shouldDeploy": true,
"consentCategory": "text",
"geoRegions": "text",
"purchaseValueMode": "gross",
"secrets": [
{
"variable": "text",
"type": "text",
"optional": true,
"data": "text",
"iv": "text",
"key": "text",
"salt": "text"
}
]
}{
"scriptId": "text"
}Last updated
Was this helpful?

